summaryrefslogtreecommitdiff
path: root/build_and_test.sh
diff options
context:
space:
mode:
authorMitya Selivanov <automainint@guattari.tech>2023-09-05 05:23:45 +0200
committerMitya Selivanov <automainint@guattari.tech>2023-09-05 05:23:45 +0200
commitede5f94aca6907f4d49c1b2c8d09d31d71b22749 (patch)
tree2dcd0784fab1d6e3c7a498b4fbed6a07272d70af /build_and_test.sh
parent8617a63ddcc6b1177a1c5b9ebda3287d0547780e (diff)
downloadkit-ede5f94aca6907f4d49c1b2c8d09d31d71b22749.zip
test
Diffstat (limited to 'build_and_test.sh')
-rw-r--r--build_and_test.sh28
1 files changed, 16 insertions, 12 deletions
diff --git a/build_and_test.sh b/build_and_test.sh
index c80c6e8..b2002c9 100644
--- a/build_and_test.sh
+++ b/build_and_test.sh
@@ -7,22 +7,26 @@ COMPILEPP=g++
OBJ_POSTFIX=.o
EXE_POSTFIX=
-if command -v cl.exe >/dev/null 2>&1; then
- echo "C compiler found - MSVC"
+UNAME=$(command -v uname)
+
+echo "UNAME: ${UNAME}"
+
+#if command -v cl.exe >/dev/null 2>&1; then
+# echo "C compiler found - MSVC"
COMPILE=cl.exe
COMPILEPP=cl.exe
OBJ_POSTFIX=.obj
EXE_POSTFIX=.exe
-elif command -v gcc >/dev/null 2>&1; then
- echo "C compiler found - GCC"
-elif command -v clang >/dev/null 2>&1; then
- echo "C compiler found - Clang"
- COMPILE=clang
- COMPILEPP=clang
-else
- echo "C compiler not found"
- exit 1
-fi
+#elif command -v gcc >/dev/null 2>&1; then
+# echo "C compiler found - GCC"
+#elif command -v clang >/dev/null 2>&1; then
+# echo "C compiler found - Clang"
+# COMPILE=clang
+# COMPILEPP=clang
+#else
+# echo "C compiler not found"
+# exit 1
+#fi
echo ""